# Point.cpp File Reference

`#include <osg/GLExtensions>`
`#include <osg/GL>`
`#include <osg/Point>`
`#include <osg/Notify>`

Include dependency graph for Point.cpp:

## Defines

#define | GL_POINT_SIZE_MIN_EXT 0x8126
#define | GL_POINT_SIZE_MAX_EXT 0x8127
#define | GL_POINT_FADE_THRESHOLD_SIZE_EXT 0x8128
#define | GL_DISTANCE_ATTENUATION_EXT 0x8129
#define | GL_EXT_point_parameters 1

## Typedefs

typedef GLfloat | param
typedef const GLfloat * | params

## Functions

typedef | void (APIENTRY *PFNGLPOINTPARAMETERFEXTPROC)(GLenum pname

## Variables

PFNGLPOINTPARAMETERFEXTPROC | s_PointParameterfEXT = NULL
PFNGLPOINTPARAMETERFVEXTPROC | s_PointParameterfvEXT = NULL

## Define Documentation

#define GL_DISTANCE_ATTENUATION_EXT 0x8129

#define GL_EXT_point_parameters 1

#define GL_POINT_FADE_THRESHOLD_SIZE_EXT 0x8128

#define GL_POINT_SIZE_MAX_EXT 0x8127

#define GL_POINT_SIZE_MIN_EXT 0x8126

## Typedef Documentation

typedef GLfloat param

typedef const GLfloat* params

## Function Documentation

typedef void | ( | APIENTRY * | DisableVertexAttribProc | ) |

## Variable Documentation

PFNGLPOINTPARAMETERFEXTPROC s_PointParameterfEXT = NULL

PFNGLPOINTPARAMETERFVEXTPROC s_PointParameterfvEXT = NULL